Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# RecentConnectionReader Class Reference

This flavor of ConnectionReader will read from its sockets and retain only the single most recent datagram for inspection by client code. More...

Inheritance diagram for RecentConnectionReader:

List of all members.

## Public Member Functions
| RecentConnectionReader (ConnectionManager manager)
bool | dataAvailable ()
| Returns true if a datagram is available on the queue; call get_data() to extract the datagram.
bool | getData (Datagram result)
| This flavor of RecentConnectionReader.get_data(), works like the other, except that it only fills a Datagram object, not a NetDatagram object.
bool | getData (NetDatagram result)
| If a previous call to data_available() returned true, this function will return the datagram that has become available.

## Detailed Description

This flavor of ConnectionReader will read from its sockets and retain only the single most recent datagram for inspection by client code.

It's useful particularly for reading telemetry-type data from UDP sockets where you don't care about getting every last socket, and in fact if the sockets are coming too fast you'd prefer to skip some of them.

This class will always create one thread for itself.

## Constructor & Destructor Documentation

RecentConnectionReader | ( | ConnectionManager | manager | ) |

## Member Function Documentation

bool dataAvailable | ( |  | ) |

Returns true if a datagram is available on the queue; call get_data() to extract the datagram.

bool getData | ( | NetDatagram | result | ) |

If a previous call to data_available() returned true, this function will return the datagram that has become available.

The return value is true if a datagram was successfully returned, or false if there was, in fact, no datagram available. (This may happen if there are multiple threads accessing the RecentConnectionReader).

bool getData | ( | Datagram | result | ) |

This flavor of RecentConnectionReader.get_data(), works like the other, except that it only fills a Datagram object, not a NetDatagram object.

This means that the Datagram cannot be queried for its source Connection and/or NetAddress, but it is useful in all other respects.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties